{
    "js/ts.tsdk.path": "node_modules/typescript/lib",
    "js/ts.preferences.includePackageJsonAutoImports": "on",
    "js/ts.updateImportsOnFileMove.enabled": "always",
    "js/ts.tsserver.watchOptions": {
        "watchFile": "useFsEvents",
        "watchDirectory": "useFsEvents",
        "fallbackPolling": "dynamicPriorityPolling",
        "synchronousWatchDirectory": true,
        "excludeDirectories": [
            "**/node_modules",
            "**/dist",
            "**/.git"
        ]
    },
    "js/ts.tsserver.experimental.enableProjectDiagnostics": true,
    "i18n-ally.localesPaths": [
        "src/locales"
    ],
    "i18n-ally.keystyle": "nested",
    "i18n-ally.sourceLanguage": "zh-CN",
    "i18n-ally.displayLanguage": "zh-CN",
    "i18n-ally.sortKeys": true,
    "i18n-ally.pathMatcher": "{locale}/{namespace}.ts",
    "i18n-ally.namespace": true,
    "i18n-ally.enabledFrameworks": [
        "react"
    ],
    "i18n-ally.enabledParsers": [
        "json",
        "yaml",
        "ts"
    ],
    "i18n-ally.parsers.typescript.compilerOptions": {
        "module": "commonjs",
        "moduleResolution": "node",
        "target": "es2015",
        "allowJs": true,
        "esModuleInterop": true,
        "allowSyntheticDefaultImports": true
    },
    "editor.codeActionsOnSave": {
        "source.fixAll.stylelint": "explicit",
        "source.fixAll.eslint": "explicit"
    },
    "stylelint.validate": [
        "css",
        "less",
        "scss",
        "sass"
    ],
    "stylelint.configFile": ".stylelintrc.mjs",
    "stylelint.config": null,
    "stylelint.ignoreDisables": false,
    "stylelint.enable": true,
    "css.validate": false,
    "less.validate": false,
    "scss.validate": false,
    "eslint.validate": [
        "javascript",
        "javascriptreact",
        "typescript",
        "typescriptreact"
    ],
    "eslint.format.enable": true,
    "eslint.run": "onSave"
}